Skip to main content
PUT
/
v2
/
loyalty
/
programs
/
{programId}
/
offers
/
{offerId}
Update Loyalty Program Offer
curl --request PUT \
  --url https://api.loyalty.dog/v2/loyalty/programs/{programId}/offers/{offerId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "description": "<string>",
  "startDate": "2023-11-07T05:31:56Z",
  "endDate": "2023-11-07T05:31:56Z",
  "autoClaim": false,
  "autoClaimOverwrite": false,
  "notify": true,
  "notifyMessage": "<string>",
  "pointsMin": 123,
  "pointsMax": 123,
  "pointsCost": 123,
  "limitPerCustomer": 123,
  "availabilityCount": 123,
  "value": 123,
  "currency": "<string>",
  "categories": "<string>",
  "products": "<string>"
}
'
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

JWT access token obtained from POST /v2/token.

Headers

authorization
string | null

Path Parameters

offerId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

programId
required
Required string length: 24
Pattern: ^[0-9a-f]{24}$
Example:

"5eb7cf5a86d9755df3a6c593"

Body

application/json
name
string
required
description
string | null
startDate
string<date-time> | null
endDate
string<date-time> | null
autoClaim
boolean | null
default:false
autoClaimOverwrite
boolean | null
default:false
notify
boolean | null
notifyMessage
string | null
pointsMin
integer | null
pointsMax
integer | null
pointsCost
integer | null
limitPerCustomer
integer | null
availabilityCount
integer | null
value
number | null
currency
string | null
type
enum<string> | null
Available options:
fixed,
percent,
other
categories
string | null
products
string | null
priceRule
enum<string> | null
Available options:
min,
max,
none

Response

Successful Response